FROM ubuntu:18.04

ENV DEBIAN_FRONTEND=noninteractive

RUN apt-get update && \
    apt-get install --no-install-recommends -y \
    gcc ninja-build pkg-config libnuma-dev librdmacm-dev librdmacm1 rdma-core libelf-dev \
    python3-pip python3-setuptools python3-wheel

# Need the latest version of meson, which current repos do not have.
RUN python3 -m pip install meson

RUN mkdir /build

WORKDIR /dpdk

COPY unit_test.sh /unit_test.sh

ENTRYPOINT /unit_test.sh
